Subject: RE: Acknowledgements section in a RFC (Was: Last Call: 'Matching of Language Tags' to BCP (draft-ietf-ltru-matching)

From: "Gray, Eric" <[email-masked]>
Date: Wed, 7 Jun 2006 14:22:06 -0400

John,

	I disagree both in the belief that the Note Well is
clear on this and the sense of your argument that anyone
participating in any part of a discussion can be made
retroactively responsible for the entire discussion.

	The Note Well is not clear because it makes sweeping
statements about the way in which BCP 78 and 79 may apply
to "contributions".  The obvious (but not clear) intent is
that what you contribute is now subject to provisions of
these BCPs that apply to contributions.  What is both more
subtle and not clearly excluded is that _only_ what you've
contributed applies and that contributing to a work is not 
the same as "authoring" it.

	I refer directly to the required RFC inclusions that
specifically use the word "author" and their rights and
responsibilities with respect to IPR and copyrights.  If I
make a comment about a rev -01 version of a draft and stop 
participating in the work, I may not be held accountable
for IPR I may know of but which did not enter into the text
until sometime after I stopped looking at it.

	Similarly, if I object to work that has been done, you 
may not attach my name to it against my objections - unless 
either the Note Well, and the BCPs, both explicitly include 
a provision for implied consent.  If that is the case, now,
then it is most certainly not "clear" that it is.

	This is the negative side of the discussion going on.
People are focusing on reasons why someone might want to be
included in acknowledgements.  I am merely pointing out that
it is also possible that someone might not want this.

--
Eric

--> -----Original Message-----
--> From: John C Klensin [mailto:[email-masked]] 
--> Sent: Wednesday, June 07, 2006 1:53 PM
--> To: Gray, Eric; Spencer Dawkins
--> Cc: [email-masked]
--> Subject: RE: Acknowledgements section in a RFC (Was: Last 
--> Call: 'Matching of Language Tags' to BCP (draft-ietf-ltru-matching)
--> 
--> 
--> 
--> --On Wednesday, 07 June, 2006 12:33 -0400 "Gray, Eric"
--> <[email-masked]> wrote:
--> 
--> > Spencer,
--> > 
--> > 	This opens up yet another can of worms.  Suppose that
--> > everybody who makes a comment on a draft (substantive, or
--> > otherwise) has to be listed and every one listed is bound by
--> > BCPs relating to IPR, copyright, etc. in RFC content.
--> 
--> They are so bound... read the Note Well.  Whether they should be
--> so listed is a separate issue.
--> 
--> > 	What happens if someone - perhaps having suggested that
--> > a word was misspelled - would prefer not to be bound by the
--> > BCPs (or perhaps is not permitted to be so bound)?  Can they
--> > request to be left out?  If they do, can an editor leave them
--> > out?
--> 
--> Too bad.  If they participate in the IETF at the level of either
--> attending meetings or saying anything, they are stuck.   While
--> there are guidelines now (see Bob Braden's note) and guidelines
--> can always be further tuned, I think we need to give some
--> discretion to document editors about who should be listed --at
--> least until and unless we have a clear definition of, e.g., WG
--> membership.
--> 
--> > 	It occasionally happens now that a draft departs from 
--> > the original direction that some of the contributors wanted 
--> > it to go, and - slightly less often - those that disagree 
--> > with the outcome ask to be de-listed.  There are good and
--> > reasonable reasons to allow this - especially as there may
--> > be very strong reactions from a particular employer that is
--> > seen as "advocating" something they do not intend to do.
--> > 
--> > 	In such cases, these early contributors provided much
--> > of the content - even if the over-all outcome is not in line
--> > with their intentions.  So, again, would we be able to omit
--> > their names?
--> 
--> I have often dealt with that issue in acknowledgements by being
--> very explicit that all contributors may not agree with the
--> conclusions reached as a consequence of their suggestions (or
--> with their suggestions included).   An even more extreme case
--> exists than the ones that you mention: someone raises an issue
--> and preference and the document is ultimately clarified to
--> reflect exactly the opposite preference.  In some of these
--> cases, the document would not have addressed the topic at all
--> had the issue not been raised.  The person who raised the issue
--> may still have made a contribution significant enough to justify
--> acknowledgement but may have always been in violent disagreement
--> with the conclusion reached by the IETF process about how to
--> deal with it.
--> 
--> The underlying problem here is not unique to the IETF.  And
--> people who don't want to contribute or be bound by the rules
--> should avoid participation -- there isn't any "whoops, I don't
--> like the results so the rules should retroactively not apply to
--> me and the fact that I participated at all should be erased"
--> option.  Having such an option with regard to rule-conforming
--> would result in chaos.  Again, the Note Well is very clear about
--> this (and there is a parallel discussion going in circles,
--> perhaps parallel ones, in the IPR WG).
--> 
-->     john
--> 
--> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Wed, 07 Jun 2006 15:03:31 -0400

> retroactively responsible for the entire discussion.

I think were we disagree is about the notion that inclusion of
one's name in an acknowledgement implies "responsibility" for
any part of the discussion, much less all of it.

> the same as "authoring" it.

To the extent to which you believe that the Note Well is unclear
or defective, please take that to the IPR WG.

> until sometime after I stopped looking at it.

I believe that is true.  I also do not believe that an
acknowledgement constitutes an assertion of accountability.
But those are matters for counsel -- I will assert my beliefs
about what ought to be happening here, but not about the legal
implications of particular text.   In particular, I do not
believe that inclusion or exclusion from an acknowledgement
implies an IPR claims or responsibilities at all: to do so would
confound many centuries of publications history.  An exception
might(and probably would) arise if the contribution were
identified in very specific terms, but those terms would bind
that particular author/ contributor only to that text.   As far
as I recall, we have never included text in acknowledgements
that says, e.g., "Joe Blow contributed section 1.2.3.4 in its
entirety and it is used with his permission", so the
implications of that form are not relevant.

> then it is most certainly not "clear" that it is.

It would clearly be inappropriate to list you as an author.
Given our current peculiar definition of "Contributor" in the
RFC sense, it would probably be inappropriate to include you as
one of those, at least without permitting you to include a
statement of dissent.  It seems to me that you have no standing
to object to the inclusion of your name in an acknowledgement if
you, in fact, did something that the author thought was
appropriate to acknowledge.  I'd hope that, in normal
circumstances, the author would honor your request to remove
your name, but I can also see circumstances in which removing
your name would be inappropriate.  

As one specific example, suppose the acknowledgements said
"Significant contributions to the topics discussed in this
document came from an ad hoc group consisting of  <list of
participants in that group>".  Now, adding a "not all members of
the group agree with the final conclusions represented in this
document" would be appropriate if true.  But removing a name
from the list of people who participated in the group,
especially the name of someone who could be clearly determined
from the group's mailing list to have actively participated,
would simply be a lie and, IMO, completely inappropriate.

> it is also possible that someone might not want this.

Understood.  But that is precisely why listing in an
acknowledgement must not have implications of "responsibility"
for the whole document.

And this discussion really belongs in the IPR WG.

    john

---

From: Fred Baker <[email-masked]>
Date: Wed, 7 Jun 2006 12:34:36 -0700

> acknowledgement must not have implications of "responsibility"

Guys: can you say "majoring on the minors"?

Acknowledgments are used every way under the sun. Marshall Rose, in  
early SNMP documents, listed the entire working group by name as  
having contributed in some way. I generally list the people who send  
me comments on drafts, and if they send unusually large number of  
comments, I might say as much. The fact that they sent notes doesn't  
mean they agree - far from it. For example, RFC 4192 (procedures for  
renumbering) makes the following observation:

    This document grew out of a discussion on the IETF list.  Commentary
    on the document came from [major snippage].

    Some took it on themselves to convince the authors that the concept
    of network renumbering as a normal or frequent procedure is daft.
    Their comments, if they result in improved address management
    practices in networks, may be the best contribution this note has to
    offer.

I would be hard pressed to say that the folks who wrote to tell me I  
was wasting my time even thinking about the subject were responsible  
for what I wrote.

No acknowledgment that I know of attributes responsibility to those  
who commented. That is invariably the domain of the authors, editors,  
or the working group that managed them.

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Wed, 07 Jun 2006 15:32:55 -0400

Disclaimer: IANAL, and this message is not intended as legal advice.
Please, read RFC3979 for yourself, and if you have concerns as to what
your obligations are or what you can get away with, consult a lawyer.

On Wednesday, June 07, 2006 02:22:06 PM -0400 "Gray, Eric" 
<[email-masked]> wrote:

> to "contributions".

The "Note Well" is a notification that if you contribute, you have certain 
obligations.  It is not a normative description of those obligations; for 
that, you need to refer to BCP 78 and 79.  Those documents make it quite 
clear that you are obligated to disclose certain IPR if you make a 
contribution in _any_ form, including comments made in a meeting or on a 
mailing list, or to an IESG or IAB member, or to a "portion" of any working 
group, which is intended to cover a variety of ways in which people provide 
input outside the context of a formal meeting.

BCP79 requires you to make disclosures of your or your employers IPR in a 
contribution you make, and normally in contributions you don't make but are 
aware of, even if you become aware of the IPR after the contribution is 
made.  Not becoming aware of the IPR until after the document is published 
does not relieve you of the obligation to disclose it.  Nor does having the 
contribution be made by someone else, even if they don't work for your 
company and/or are unaware of the IPR.

> until sometime after I stopped looking at it.

You're only obligated to make an IPR disclosure if the IPR is owned by you 
or your company and either (1) you made the contribution, or (2) the 
contribution was made in a discussion in which you are participating.  If 
you stop participating in a discussion, you no longer have the 
responsibility to make IPR disclosures related to contributions made after 
you stop participating.

> then it is most certainly not "clear" that it is.

Certainly, no one should be represented as supporting work which they do 
not support.  It is entirely reasonable to request that your name be 
removed from the list of authors, if you no longer wish to perform the 
duties of an author, or from the list of contributors, if you did not make 
a contribution or don't want your contribution noted.

Acknowledgements are more of a "thanks for your input", and it's not really 
reasonable to tell authors that he can't acknowledge people whose input 
they found helpful - as long as an acknowledgement does not imply 
endorsement on the part of the person who is acknowledged.  On the other 
hand, IMHO it would be even _more_ unreasonable for an author to refuse to 
remove the name of a person who did not want to be acknowledged.

> it is also possible that someone might not want this.

And John's point is this:  There may be legitimate reasons for not wanting 
to be acknowledged or listed as an author or contributor.  However, having 
your name removed from the document does not change the fact of your 
contribution, or relieve you of your obligations with respect to that 
contribution.

Now, you made specific reference to the IPR disclosure acknowledgement 
which is required by RFC3978 section 5.1 to be present in all I-D's.  Your 
argument seems to be that this statement imposes an additional burden upon 
anyone listed as an author, and that one might want to be removed from the 
author list in order to be relieved of this burden.  But if you read the 
acknowledgement carefully, the representation being made by the authors is 
that they are in compliance with BCP 79 section 6(*).  Since compliance 
with that section is required for _anyone_ making a contribution to the 
IETF, being removed from the author list does _not_ relieve you of that 
burden - it simply allows you to avoid preiodically representing that you 
are meeting it.

I completely agree that anyone who no longer wishes to be listed as an 
author of an I-D should be able to have their name removed.  However, doing 
so does not remove your obligations relating to IPR disclosures.

(*) The exact text quoted in RFC3978 is "... in accordance with Section 6 
of BCP 79."  Ordinarily, a reference is made to a BCP or STD number rather 
than to an RFC number when the goal is to produce a "live" reference that 
always refers to the latest approved version of the document.  We usually 
avoid doing this in protocol specifications, preferring instead to use the 
stable reference that an RFC number represents, but it seems appropriate to 
use a live reference in this case.  I'm sure the IPR working group has had 
discussions about the interactions between live references, static 
documents, and legal language, and found the results acceptable.

HOWEVER...  _This_ language refers to a particular _section_ of BCP79 by 
number.  The structure of documents changes as they are revised and 
updated, so a reference by section number tends to counteract the 
advantages of using a live reference.  For the _next_ version of BCP78, I'd 
suggest finding a way to reword this so that a specific section number 
reference is not required.

-- Jeff

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 09 Jun 2006 11:08:06 +0200

>> statements about the way in which BCP 78 and 79 may apply

Eric, there is no "may" about it. It states very clearly
that *all* contributions are covered. The definition of "contribution"
is spelled out in BCP 79 as Definition 1.c. I see no ambiguity
whatever.

> 
> The "Note Well" is a notification that if you contribute, you have 
> certain obligations.  It is not a normative description of those 
> obligations; for that, you need to refer to BCP 78 and 79.  Those 
> documents make it quite clear that you are obligated to disclose certain 
> IPR if you make a contribution in _any_ form, including comments made in 
> a meeting or on a mailing list, or to an IESG or IAB member, or to a 
> "portion" of any working group, which is intended to cover a variety of 
> ways in which people provide input outside the context of a formal meeting.
> 
> 
> BCP79 requires you to make disclosures of your or your employers IPR in 
> a contribution you make, and normally in contributions you don't make 
> but are aware of, even if you become aware of the IPR after the 
> contribution is made.  Not becoming aware of the IPR until after the 
> document is published does not relieve you of the obligation to disclose 
> it.  Nor does having the contribution be made by someone else, even if 
> they don't work for your company and/or are unaware of the IPR.
> 
> 
> You're only obligated to make an IPR disclosure if the IPR is owned by 
> you or your company and either (1) you made the contribution, or (2) the 
> contribution was made in a discussion in which you are participating.  
> If you stop participating in a discussion, you no longer have the 
> responsibility to make IPR disclosures related to contributions made 
> after you stop participating.

Also, BCP 79 does not require a patent search - it applies
explicitly to IPR of which the contributor is reasonably and
personally aware. So it isn't an onerous obligation; you don't
have to worry about unknowns.

    Brian

> duties of an author, or from the list of contributors, if you did not 
> make a contribution or don't want your contribution noted.
> 
> Acknowledgements are more of a "thanks for your input", and it's not 
> really reasonable to tell authors that he can't acknowledge people whose 
> input they found helpful - as long as an acknowledgement does not imply 
> hand, IMHO it would be even _more_ unreasonable for an author to refuse 
> to remove the name of a person who did not want to be acknowledged.
> 
> 
> 
> And John's point is this:  There may be legitimate reasons for not 
> wanting to be acknowledged or listed as an author or contributor.  
> However, having your name removed from the document does not change the 
> fact of your contribution, or relieve you of your obligations with 
> respect to that contribution.
> 
> which is required by RFC3978 section 5.1 to be present in all I-D's.  
> Your argument seems to be that this statement imposes an additional 
> burden upon anyone listed as an author, and that one might want to be 
> removed from the author list in order to be relieved of this burden.  
> But if you read the acknowledgement carefully, the representation being 
> made by the authors is that they are in compliance with BCP 79 section 
> 6(*).  Since compliance with that section is required for _anyone_ 
> making a contribution to the IETF, being removed from the author list 
> does _not_ relieve you of that burden - it simply allows you to avoid 
> preiodically representing that you are meeting it.
> 
> author of an I-D should be able to have their name removed.  However, 
> doing so does not remove your obligations relating to IPR disclosures.
> 
> 
> (*) The exact text quoted in RFC3978 is "... in accordance with Section 
> 6 of BCP 79."  Ordinarily, a reference is made to a BCP or STD number 
> rather than to an RFC number when the goal is to produce a "live" 
> reference that always refers to the latest approved version of the 
> document.  We usually avoid doing this in protocol specifications, 
> preferring instead to use the stable reference that an RFC number 
> represents, but it seems appropriate to use a live reference in this 
> case.  I'm sure the IPR working group has had discussions about the 
> interactions between live references, static documents, and legal 
> language, and found the results acceptable.
> 
> advantages of using a live reference.  For the _next_ version of BCP78, 
> I'd suggest finding a way to reword this so that a specific section 
> number reference is not required.
> 
> -- Jeff
>